Models
Get model asset credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
Frågeparametrar
api-version
string
krävs
The API version to use for this operation.
Rubrikparametrar
Foundry-Features
enum
krävs
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Sökvägsparametrar
name
string
krävs
Name of the model.
version
string
krävs
Version of the model.
Begärandetext
The credential request request body.
blobUri
string
krävs
Blob URI of the model asset to fetch credentials for.
Svar
The request has succeeded.
Brödtext
blobReference
BlobReference
krävs
Blob reference details.
blobUri
string
krävs
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
krävs
ARM ID of the storage account to use.
credential
SasCredential
krävs
SAS Credential definition
sasUri
string
krävs
SAS uri
type
enum
krävs
Type of credential
Förfrågan
POST /models/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json